Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-01-2018 19:28:34

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

[résolu] apt autoremove libpango1.0-0

bonjour à tous .

j'ai installé buster  et je l'ai mis à jour  mais  :

~$ sudo apt update


Atteint:1 http://ftp.fr.debian.org/debian testing InRelease
Atteint:2 http://security.debian.org/debian-security testing/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian testing-updates InRelease            
Atteint:4 http://ftp.fr.debian.org/debian unstable InRelease                
Atteint:5 http://ftp.fr.debian.org/debian experimental InRelease
Lecture des listes de paquets... Fait                          
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
All packages are up to date.
 



~$ sudo apt upgrade


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  kde-baseapps-data kdepasswd kdepim-doc ktnef libkf5akonadicore-bin
  libkf5gapi-data libkf5gpgmepp-pthread5 libkf5kdgantt2-5 libkf5qgpgme5
  libkf5webkit5 libkonq-common libkonq5-templates libkonq5abi1 libpango1.0-0
  libpangox-1.0-0
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.



je pense à ça :

Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  kde-baseapps-data kdepasswd kdepim-doc ktnef libkf5akonadicore-bin
  libkf5gapi-data libkf5gpgmepp-pthread5 libkf5kdgantt2-5 libkf5qgpgme5
  libkf5webkit5 libkonq-common libkonq5-templates libkonq5abi1 libpango1.0-0
  libpangox-1.0-0
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
 



plus particulièrement :

libpango1.0-0  libpangox-1.0-0



les autres paquets semblent être ceux du bureau KDE , dont je me sers rarement .
à la rigueur , s'il est désinstallé , c'est pas grave . je préfère le garder mais c'est pas grave .

j'ai trouvé ceci :
https://packages.debian.org/search?lang … pango1.0-0

et cela pour libpangox-1.0-0 sous sid  :
https://packages.debian.org/fr/sid/libpangox-1.0-0

je ne sais que faire .

un conseil ?

~$ sudo apt policy libpango*


libpangoft2-1.0-0:
  Installé : 1.40.14-1
  Candidat : 1.40.14-1
 Table de version :
 *** 1.40.14-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpangox-1.0-0:
  Installé : 0.0.2-5+b2
  Candidat : 0.0.2-5+b2
 Table de version :
 *** 0.0.2-5+b2 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpango1.0-0:
  Installé : 1.40.14-1
  Candidat : 1.40.14-1
 Table de version :
 *** 1.40.14-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpango-perl:
  Installé : 1.227-2+b1
  Candidat : 1.227-2+b1
 Table de version :
 *** 1.227-2+b1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpangoxft-1.0-0:
  Installé : 1.40.14-1
  Candidat : 1.40.14-1
 Table de version :
 *** 1.40.14-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpango1.0-dev:
  Installé : 1.40.14-1
  Candidat : 1.40.14-1
 Table de version :
 *** 1.40.14-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpango1.0-doc:
  Installé : (aucun)
  Candidat : 1.40.14-1
 Table de version :
     1.40.14-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
libpangocairo-1.0-0:
  Installé : 1.40.14-1
  Candidat : 1.40.14-1
 Table de version :
 *** 1.40.14-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpangox-1.0-dev:
  Installé : (aucun)
  Candidat : 0.0.2-5+b2
 Table de version :
     0.0.2-5+b2 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
libpango3.0-cil:
  Installé : (aucun)
  Candidat : 2.99.3-2+b1
 Table de version :
     2.99.3-2+b1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
libpangomm-1.4-1:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
libpangomm-1.4-1v5:
  Installé : 2.40.1-4
  Candidat : 2.40.1-4
 Table de version :
 *** 2.40.1-4 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpango-1.0-0:
  Installé : 1.40.14-1
  Candidat : 1.40.14-1
 Table de version :
 *** 1.40.14-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libpangomm-1.4-dev:
  Installé : (aucun)
  Candidat : 2.40.1-4
 Table de version :
     2.40.1-4 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
libpangomm-1.4-doc:
  Installé : (aucun)
  Candidat : 2.40.1-4
 Table de version :
     2.40.1-4 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
        100 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
 

Dernière modification par Debian Alain (22-01-2018 11:01:27)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#2 19-01-2018 20:04:38

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [résolu] apt autoremove libpango1.0-0

Salut
Normalement tu peux lancer apt autoremove sans soucis mais copies la liste des paquets dans un fichier texte au cas ou

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 19-01-2018 20:21:02

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [résolu] apt autoremove libpango1.0-0

salut à toi .

j'ai suivi ton conseil , croutons .

~$ sudo apt upgrade  > autoremove.txt


WARNING: apt does not have a stable CLI interface. Use with caution in scripts.



~$ ls


autoremove.txt  Documents  Modèles  Public           Vidéos
Bureau          Images     Musique  Téléchargements
 



~$ sudo apt autoremove


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  kde-baseapps-data kdepasswd kdepim-doc ktnef libkf5akonadicore-bin
  libkf5gapi-data libkf5gpgmepp-pthread5 libkf5kdgantt2-5 libkf5qgpgme5
  libkf5webkit5 libkonq-common libkonq5-templates libkonq5abi1 libpango1.0-0
  libpangox-1.0-0
0 mis à jour, 0 nouvellement installés, 15 à enlever et 0 non mis à jour.
Après cette opération, 2 762 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 431047 fichiers et répertoires déjà installés.)
Suppression de kde-baseapps-data (4:16.08.3-2) ...
Suppression de kdepasswd (4:16.08.3-3) ...
Suppression de kdepim-doc (4:17.08.3-2) ...
Suppression de ktnef (4:17.08.3-2) ...
Suppression de libkf5akonadicore-bin (4:17.08.3-2) ...
Suppression de libkf5gapi-data (17.08.3-1) ...
Suppression de libkf5qgpgme5 (16.04.3-2+b2) ...
Suppression de libkf5gpgmepp-pthread5:amd64 (16.04.3-2+b2) ...
Suppression de libkf5kdgantt2-5 (4:16.04.2-1) ...
Suppression de libkf5webkit5:amd64 (5.37.0-2) ...
Suppression de libkonq5abi1 (4:16.08.3-3) ...
Suppression de libkonq-common (4:16.08.3-3) ...
Suppression de libkonq5-templates (4:16.08.3-3) ...
Suppression de libpango1.0-0:amd64 (1.40.14-1) ...
Suppression de libpangox-1.0-0:amd64 (0.0.2-5+b2) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.26-4) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-11) ...
 



~$ sudo apt update


Atteint:1 http://ftp.fr.debian.org/debian testing InRelease
Atteint:2 http://ftp.fr.debian.org/debian testing-updates InRelease            
Atteint:3 http://security.debian.org/debian-security testing/updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian unstable InRelease                
Atteint:5 http://ftp.fr.debian.org/debian experimental InRelease            
Lecture des listes de paquets... Fait                          
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
All packages are up to date.
 



~$ sudo apt upgrade


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 



voilà .

tout semble ok .

pour aller dans ton sens , croutons , j'ai trouvé ceci (tiré du man , en français , ouf !)

autoremove (apt-get(8))
           La commande autoremove, supprime les paquets installés
           automatiquement dans le but de satisfaire les dépendances d'autres
           paquets et qui ne sont plus nécessaires parce que les dépendances
           ont changé ou parce que le ou les paquets ont été supprimés
           entre-temps.

           Vous devriez vérifier que la liste ne contient pas des applications
           que vous avez fini par apprécier, même si elles ont été installées
           seulement comme dépendance d'un autre paquet. Vous pouvez marquer
           ces paquets comme installés manuellement avec apt-mark(8). Les
           paquets que vous avez installés explicitement avec la commande
           install ne seront jamais proposés non plus pour une suppression
           automatique.

Dernière modification par Debian Alain (19-01-2018 20:21:37)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#4 19-01-2018 20:32:42

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [résolu] apt autoremove libpango1.0-0


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#5 19-01-2018 20:52:04

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [résolu] apt autoremove libpango1.0-0

tu me rassures pas  , croutons . j'espère que j'ai pas cassé ma machine .

bon , après une  clôture et un redémarrage de  session , ça  fonctionne encore .

reste à voir un reboot .

bon , après un arrêt - démarrage de la machine , ça fonctionne encore .

donc je me suis inquiété pour rien .

par contre , je  connais journalctl et une option (-r -p err) mais je crois que l'on peut l'utiliser pour
afficher les lignes du kernel au démarrage de  celui ci .

seulement , je  connais pas la commande .

je crois que c'est

journalctl -xb ( je crois )

Dernière modification par Debian Alain (19-01-2018 22:35:20)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

Pied de page des forums